Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java	(revision 3103)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java	(revision 3104)
@@ -36,10 +36,8 @@
 import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.swt.SWT;
-import org.eclipse.swt.SWTError;
 import org.eclipse.swt.widgets.FileDialog;
 import org.eclipse.swt.widgets.Shell;
-import org.eclipse.ui.IEditorPart;
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PlatformUI;
@@ -47,9 +45,7 @@
 import org.eclipse.ui.internal.browser.BrowserViewer;
 import org.eclipse.ui.internal.browser.WebBrowserEditorInput;
 import org.txm.Toolbox;
-import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.editors.TXMBrowser;
-import org.txm.rcp.editors.TXMWebBrowserEditor;
+import org.txm.rcp.editors.TXMBrowserEditor;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.utils.logger.Log;
@@ -140,7 +136,7 @@
 	 * @param filepath the filepath
 	 * @return the txm browser
 	 */
-	static public TXMBrowser openEdition(String filepath) {
+	static public TXMBrowserEditor openEdition(String filepath) {
 		return openEdition(filepath, new File(filepath).getName());
 	}
 	
@@ -150,7 +146,7 @@
 	 * @param filepath the filepath
 	 * @return the txm browser
 	 */
-	static public TXMBrowser openfile(String filepath) {
+	static public TXMBrowserEditor openfile(String filepath) {
 		return openfile(filepath, new File(filepath).getName());
 	}
 	
@@ -170,7 +166,7 @@
 	 * @param editorname the editorname
 	 * @return the TXM browser
 	 */
-	public static TXMBrowser openEdition(String filepath, String editorname) {
+	public static TXMBrowserEditor openEdition(String filepath, String editorname) {
 		try {
 			// WebBrowserEditorInput editorInput = new WebBrowserEditorInput();
 			// TODO: is web browser type order useful ?
@@ -186,7 +182,7 @@
 			IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
 			IWorkbenchPage page = window.getActivePage();
 			
-			TXMBrowser editor = (TXMBrowser) page.openEditor(editorInput, TXMBrowser.ID, true);
+			TXMBrowserEditor editor = (TXMBrowserEditor) page.openEditor(editorInput, TXMBrowserEditor.ID, true);
 			editor.setPartName(editorname);
 			return editor;
 		}
@@ -204,36 +200,9 @@
 	 * @param editorname the editorname
 	 * @return the txm browser
 	 */
-	public static TXMBrowser openfile(String filepath, String editorname) {
+	public static TXMBrowserEditor openfile(String filepath, String editorname) {
 		try {
 			return openEdition(filepath, editorname);
-			// // WebBrowserEditorInput editorInput = new WebBrowserEditorInput();
-			// WebBrowserEditorInput editorInput;
-			// File localfile = new File(filepath);
-			// if (localfile.exists())
-			// editorInput = new WebBrowserEditorInput(localfile.toURI()
-			// .toURL(), BrowserViewer.BUTTON_BAR
-			// | BrowserViewer.LOCATION_BAR);
-			// else
-			// editorInput = new WebBrowserEditorInput(new URL(filepath),
-			// BrowserViewer.BUTTON_BAR | BrowserViewer.LOCATION_BAR);
-			//
-			// IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
-			// // System.out.println("Window: "+window);
-			// IWorkbenchPage page = window.getActivePage();
-			//
-			// try {
-			// IEditorPart e = page.openEditor(editorInput, TXMWebBrowserEditor.WEB_BROWSER_EDITOR_ID, true);
-			// if (e instanceof TXMWebBrowserEditor) {
-			// TXMWebBrowserEditor editor = (TXMWebBrowserEditor) e;
-			// editor.setTitle(editorname);
-			// return editor;
-			// }
-			// }
-			// catch (SWTError e) {
-			// Log.severe("TXM could not open the internal browser: " + e);
-			// Log.printStackTrace(e);
-			// }
 		}
 		catch (Exception e) {
 			Log.severe(TXMUIMessages.bind(TXMUIMessages.errorWhileOpeningBibliographicRecordP0WithURLEqualsP1, e.toString(), filepath));
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenGraph.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenGraph.java	(revision 3103)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenGraph.java	(revision 3104)
@@ -38,31 +38,31 @@
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.IEditorPart;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.rcp.IImageKeys;
-import org.txm.rcp.editors.SVGGraphicEditor;
-import org.txm.rcp.editors.TXMWebBrowserEditor;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.utils.OpenURI;
+
 // TODO: Auto-generated Javadoc
 /**
  * Open the graphics editor. It can open SVN, PNG, etc depending on the Device given.
  */
 
 public class OpenGraph extends AbstractHandler {
-
+	
 	private static final String ID = "org.txm.rcp.commands.OpenGraph"; //$NON-NLS-1$
-	/* (non-Javadoc)
+	/*
+	 * (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
 	 */
+	
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		String svgFile = ""; //$NON-NLS-1$
 		File file = null;
-
+		
 		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event)
 				.getShell();
-
+		
 		if (file == null || file.isDirectory()) {
 			FileDialog dialog = new FileDialog(shell, SWT.OPEN);
 			if (LastOpened.getFile(ID) != null) {
@@ -74,10 +74,10 @@
 			LastOpened.set(ID, dialog.getFilterPath(), dialog.getFileName());
 			OpenFile(svgFile);
 		}
-
+		
 		return null;
 	}
-
+	
 	/**
 	 * Open file.
 	 *
@@ -87,7 +87,7 @@
 	public static IEditorPart OpenFile(String filepath) {
 		return OpenFile(filepath, new File(filepath).getName());
 	}
-
+	
 	/**
 	 * Open file.
 	 *
@@ -97,7 +97,7 @@
 	public static IEditorPart OpenFile(File file) {
 		return OpenFile(file.getAbsolutePath(), file.getName());
 	}
-
+	
 	/**
 	 * Open file.
 	 *
@@ -117,58 +117,10 @@
 		{
 			return OpenBrowser.openfile(graphfile.getAbsolutePath());
 		}
-		else
-		{
+		else {
 			if (!OpenURI.open(graphfile))
 				System.out.println(NLS.bind(TXMUIMessages.cantOpenGraphicP0, graphfile.getAbsolutePath()));
 			return null;
 		}
 	}
-
-	/**
-	 * Open file.
-	 *
-	 * @param filepath the filepath
-	 * @param editorname the editorname
-	 * @param device the device
-	 * @param image the image
-	 * @return the i editor part
-	 */
-//	@Deprecated
-	// FIXME: this method is R charts engine dependent. But it seems to no be used so we may remove it
-//	public static IEditorPart OpenFile(String filepath, String editorname, RDevice device, String image) {
-//		File graphfile = new File(filepath);
-//		if (device.equals(RDevice.SVG)) {
-//			SVGGraphicEditor editor = OpenSVGGraph.OpenSVGFile(filepath, editorname);
-//			if (image != null && IImageKeys.getImage(image) != null)
-//				editor.setIcon(IImageKeys.getImage(image));
-//			return editor;
-//		} else if (device.equals(RDevice.PNG) || device.equals(RDevice.JPEG)) {
-//			TXMWebBrowserEditor editor = OpenBrowser.openfile(graphfile.getAbsolutePath(), editorname);
-//			if (image != null && IImageKeys.getImage(image) != null)
-//				editor.setTitleImage(IImageKeys.getImage(image));
-//			return editor;
-//		} else {
-//			if (!OpenURI.open(graphfile))
-//				System.out.println(NLS.bind(Messages.OpenGraph_8, graphfile.getAbsolutePath()));
-//			return null;
-//		}
-//
-//	}
-
-	/**
-	 * Open file.
-	 *
-	 * @param file the file
-	 * @param device the device
-	 * @param name the name
-	 * @param image the image
-	 * @return the i editor part
-	 */
-//	@Deprecated
-	// FIXME: this method is R charts engine dependent. But it seems to no be used so we may remove it
-//	public static IEditorPart OpenFile(File file, RDevice device, String name, String image) {
-//		return OpenFile(file.getAbsolutePath(), name, device, image);
-//	}
-
-}
\ No newline at end of file
+}
